org.apache.synapse.transport.passthru

## Class PassThroughConstants

- java.lang.Object
- - org.apache.synapse.transport.passthru.PassThroughConstants

-     public class PassThroughConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPLICATION_OCTET_STREAM`
    `static java.lang.String` | `BUFFERED_INPUT_STREAM`
    `static java.lang.String` | `BUILDER_OUTPUT_STREAM`
    `static java.lang.String` | `CLIENT_WORKER_INIT_TIME`
    `static java.lang.String` | `CLIENT_WORKER_START_TIME`
    `static java.lang.String` | `CLONE_PASS_THROUGH_PIPE_REQUEST`
    `static java.lang.String` | `CONF_LOCATION`
    `static java.lang.String` | `CONNECTION_EXPIRY_TIME`
    `static java.lang.String` | `CONNECTION_INIT_TIME`
    `static java.lang.String` | `CONNECTION_KEEP_ALIVE_TIME_OUT`
    `static java.lang.String` | `CONNECTION_POOL`
    `static java.lang.String` | `CONTENT_TYPE`
    `static java.lang.String` | `CONTENT_TYPE_MULTIPART_FORM_DATA`
    `static java.lang.String` | `CONTENT_TYPE_MULTIPART_RELATED`
    `static java.lang.String` | `COPY_CONTENT_LENGTH_FROM_INCOMING`
    `static java.lang.String` | `CORRELATION_DEFAULT_HEADER`
    `static java.lang.String` | `CORRELATION_ID`
    `static java.lang.String` | `CORRELATION_LOG_STATE_PROPERTY` constants for correlation logging
    `static java.lang.String` | `CORRELATION_LOGGER`
    `static java.lang.String` | `CORRELATION_LOGS_SYS_PROPERTY`
    `static java.lang.String` | `CORRELATION_MDC_PROPERTY`
    `static java.lang.String` | `DEFAULT_CONTENT_TYPE`
    `static int` | `DEFAULT_IO_THREAD_COUNT`
    `static int` | `DEFAULT_MAX_CONN_PER_HOST_PORT`
    `static java.lang.String` | `DISABLE_CHUNKING`
    `static java.lang.String` | `DISABLE_KEEPALIVE`
    `static java.lang.String` | `DISCARD_ON_COMPLETE`
    `static java.lang.String` | `ENABLE_WS_ADDRESSING`
    `static java.lang.String` | `EPR_TO_SERVICE_NAME_MAP`
    `static java.lang.String` | `ERROR_CODE` The message context property name which holds the error code for the last encountered exception
    `static java.lang.String` | `ERROR_DETAIL` The message context property name which holds the error detail (stack trace) for the last encountered exception
    `static java.lang.String` | `ERROR_EXCEPTION` The message context property name which holds the exception (if any) for the last encountered exception
    `static java.lang.String` | `ERROR_MESSAGE` The MC property name which holds the error message for the last encountered exception
    `static java.lang.String` | `FAULT_MESSAGE`
    `static java.lang.String` | `FAULTS_AS_HTTP_200`
    `static java.lang.String` | `FORCE_HTTP_1_0`
    `static java.lang.String` | `FORCE_JSON_MESSAGE_VALIDATION`
    `static java.lang.String` | `FORCE_PASSTHROUGH_BUILDER`
    `static java.lang.String` | `FORCE_POST_PUT_NOBODY`
    `static java.lang.String` | `FORCE_SC_ACCEPTED`
    `static java.lang.String` | `FORCE_SOAP_FAULT`
    `static java.lang.String` | `FORCE_XML_MESSAGE_VALIDATION`
    `static java.lang.String` | `FORMATTER_PRESERVE`
    `static java.lang.String` | `FULL_URI`
    `static java.lang.String` | `HIDDEN_SERVICE_PARAM_NAME`
    `static java.lang.String` | `HTTP_CONNECT`
    `static java.lang.String` | `HTTP_CONTENT_LENGTH`
    `static java.lang.String` | `HTTP_CONTENT_TYPE`
    `static java.lang.String` | `HTTP_DELETE`
    `static java.lang.String` | `HTTP_ETAG_ENABLED`
    `static java.lang.String` | `HTTP_GET`
    `static java.lang.String` | `HTTP_HEAD`
    `static java.lang.String` | `HTTP_NON_PROXY_HOST`
    `static java.lang.String` | `HTTP_OPTIONS`
    `static java.lang.String` | `HTTP_POST`
    `static java.lang.String` | `HTTP_PROXY_HOST`
    `static java.lang.String` | `HTTP_PROXY_PASSWORD`
    `static java.lang.String` | `HTTP_PROXY_PORT`
    `static java.lang.String` | `HTTP_PROXY_USERNAME`
    `static java.lang.String` | `HTTP_PUT`
    `static java.lang.String` | `HTTP_SC`
    `static java.lang.String` | `HTTP_SC_DESC`
    `static java.lang.String` | `HTTP_SOCKET_TIMEOUT`
    `static java.lang.String` | `IGNORE_SC_ACCEPTED`
    `static java.lang.String` | `INTERNAL_EXCEPTION_ORIGIN`
    `static java.lang.String` | `INTERNAL_ORIGIN_ERROR_HANDLER`
    `static java.lang.String` | `INTERNAL_TRIGGER_NAME`
    `static java.lang.String` | `INTERNAL_TRIGGER_TYPE`
    `static java.lang.String` | `INVOKED_REST`
    `static java.lang.String` | `JSON_CONTENT_TYPE`
    `static java.lang.String` | `LOCATION`
    `static java.lang.String` | `MESSAGE_BUILDER_INVOKED`
    `static java.lang.String` | `MESSAGE_OUTPUT_FORMAT`
    `static java.lang.String` | `MESSAGE_SIZE_VALIDATION_SUM`
    `static java.lang.String` | `NO_ENTITY_BODY`
    `static java.lang.String` | `NO_KEEPALIVE`
    `static java.lang.String` | `NON_BLOCKING_TRANSPORT`
    `static java.lang.String` | `ORGINAL_CONTEN_LENGTH`
    `static java.lang.String` | `ORIGINAL_HTTP_REASON_PHRASE`
    `static java.lang.String` | `ORIGINAL_HTTP_SC`
    `static java.lang.String` | `PASS_THROUGH_PIPE`
    `protected static java.lang.String` | `PASS_THROUGH_SOURCE_CONFIGURATION`
    `protected static java.lang.String` | `PASS_THROUGH_SOURCE_CONNECTION`
    `protected static java.lang.String` | `PASS_THROUGH_SOURCE_REQUEST`
    `protected static java.lang.String` | `PASS_THROUGH_TARGET_CONNECTION`
    `protected static java.lang.String` | `PASS_THROUGH_TARGET_RESPONSE`
    `protected static java.lang.String` | `PASS_THROUGH_TRANSPORT_WORKER_POOL`
    `static java.lang.String` | `PASSTHOUGH_HTTP_SERVER_WORKER`
    `static java.lang.String` | `PASSTHROUGH_LATENCY_VIEW`
    `static java.lang.String` | `PASSTHROUGH_S2SLATENCY_VIEW`
    `static java.lang.String` | `PASSTROUGH_MESSAGE_LENGTH`
    `static java.lang.String` | `PROXY_BASIC_REALM`
    `static java.lang.String` | `PROXY_PROFILE_TARGET_HOST`
    `static java.lang.String` | `RAW_PAYLOAD` An Axis2 message context property that hols the raw payload when an error occurs while building message
    `static java.lang.String` | `RELAY_EARLY_BUILD`
    `static java.lang.String` | `REQ_ARRIVAL_TIME`
    `static java.lang.String` | `REQ_DEPARTURE_TIME`
    `static java.lang.String` | `REQ_FROM_CLIENT_READ_END_TIME`
    `static java.lang.String` | `REQ_FROM_CLIENT_READ_START_TIME`
    `static java.lang.String` | `REQ_TO_BACKEND_WRITE_END_TIME`
    `static java.lang.String` | `REQ_TO_BACKEND_WRITE_START_TIME`
    `static java.lang.String` | `REQUEST_ACCEPTS_GZIP`
    `static java.lang.String` | `REQUEST_CONTENT_TYPE`
    `static java.lang.String` | `REQUEST_MESSAGE_CONTEXT`
    `static java.lang.String` | `RES_ARRIVAL_TIME`
    `static java.lang.String` | `RES_DEPARTURE_TIME`
    `static java.lang.String` | `RES_FROM_BACKEND_READ_END_TIME`
    `static java.lang.String` | `RES_FROM_BACKEND_READ_START_TIME`
    `static java.lang.String` | `RES_HEADER_ARRIVAL_TIME`
    `static java.lang.String` | `RES_TO_CLIENT_WRITE_END_TIME`
    `static java.lang.String` | `RES_TO_CLIENT_WRITE_START_TIME`
    `static java.lang.String` | `REST_GET_DELETE_INVOKE`
    `static java.lang.String` | `REST_REQUEST_CONTENT_TYPE`
    `static java.lang.String` | `REST_URL_POSTFIX`
    `static java.lang.String` | `SC_ACCEPTED`
    `static java.lang.String` | `SECURITY_MODULE_NAME` Name of the .mar file
    `static java.lang.String` | `SENDING_FAULT` An Axis2 message context property indicating a transport send failure
    `static java.lang.String` | `SERIALIZED_BYTES`
    `static java.lang.String` | `SERVER_WORKER_INIT_TIME`
    `static java.lang.String` | `SERVER_WORKER_START_TIME`
    `static java.lang.String` | `SERVER_WORKER_THREAD_ID`
    `static java.lang.String` | `SERVICE_PREFIX`
    `static java.lang.String` | `SERVICE_URI_LOCATION`
    `static java.lang.String` | `SET_CHARACTER_ENCODING`
    `static java.lang.String` | `SOURCE_CONNECTION_DROPPED`
    `static java.lang.String` | `SYNAPSE_PASSTHROUGH_LATENCY_ADVANCE_VIEW`
    `static java.lang.String` | `SYNAPSE_PASSTHROUGH_S2SLATENCY_ADVANCE_VIEW`
    `static java.lang.String` | `SYSTEMPROP_PORT_CLOSE_VERIFY_TIMEOUT`
    `static java.lang.String` | `TRACE_SOAP_MESSAGE`
    `static java.lang.String` | `TRUE`
    `static java.lang.String` | `TUNNEL_HANDLER`
    `static java.lang.String` | `WAIT_BUILDER_IN_STREAM_COMPLETE`
    `static java.lang.String` | `WSDL_EPR_PREFIX`
    `static java.lang.String` | `WSDL_GEN_HANDLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PassThroughConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_IO_THREAD_COUNT

          public static final int DEFAULT_IO_THREAD_COUNT

    - #### DEFAULT_MAX_CONN_PER_HOST_PORT

          public static final int DEFAULT_MAX_CONN_PER_HOST_PORT

      See Also:
        Constant Field Values

    - #### REQUEST_MESSAGE_CONTEXT

          public static final java.lang.String REQUEST_MESSAGE_CONTEXT

      See Also:
        Constant Field Values

    - #### CONNECTION_POOL

          public static final java.lang.String CONNECTION_POOL

      See Also:
        Constant Field Values

    - #### TUNNEL_HANDLER

          public static final java.lang.String TUNNEL_HANDLER

      See Also:
        Constant Field Values

    - #### CONNECTION_INIT_TIME

          public static final java.lang.String CONNECTION_INIT_TIME

      See Also:
        Constant Field Values

    - #### CONNECTION_EXPIRY_TIME

          public static final java.lang.String CONNECTION_EXPIRY_TIME

      See Also:
        Constant Field Values

    - #### CONNECTION_KEEP_ALIVE_TIME_OUT

          public static final java.lang.String CONNECTION_KEEP_ALIVE_TIME_OUT

      See Also:
        Constant Field Values

    - #### TRUE

          public static final java.lang.String TRUE

      See Also:
        Constant Field Values

    - #### FAULT_MESSAGE

          public static final java.lang.String FAULT_MESSAGE

      See Also:
        Constant Field Values

    - #### FAULTS_AS_HTTP_200

          public static final java.lang.String FAULTS_AS_HTTP_200

      See Also:
        Constant Field Values

    - #### SC_ACCEPTED

          public static final java.lang.String SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_SC

          public static final java.lang.String HTTP_SC

      See Also:
        Constant Field Values

    - #### FORCE_HTTP_1_0

          public static final java.lang.String FORCE_HTTP_1_0

      See Also:
        Constant Field Values

    - #### DISABLE_CHUNKING

          public static final java.lang.String DISABLE_CHUNKING

      See Also:
        Constant Field Values

    - #### FULL_URI

          public static final java.lang.String FULL_URI

      See Also:
        Constant Field Values

    - #### NO_KEEPALIVE

          public static final java.lang.String NO_KEEPALIVE

      See Also:
        Constant Field Values

    - #### DISABLE_KEEPALIVE

          public static final java.lang.String DISABLE_KEEPALIVE

      See Also:
        Constant Field Values

    - #### IGNORE_SC_ACCEPTED

          public static final java.lang.String IGNORE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### FORCE_SC_ACCEPTED

          public static final java.lang.String FORCE_SC_ACCEPTED

      See Also:
        Constant Field Values

    - #### DISCARD_ON_COMPLETE

          public static final java.lang.String DISCARD_ON_COMPLETE

      See Also:
        Constant Field Values

    - #### SERVICE_URI_LOCATION

          public static final java.lang.String SERVICE_URI_LOCATION

      See Also:
        Constant Field Values

    - #### WSDL_EPR_PREFIX

          public static final java.lang.String WSDL_EPR_PREFIX

      See Also:
        Constant Field Values

    - #### EPR_TO_SERVICE_NAME_MAP

          public static final java.lang.String EPR_TO_SERVICE_NAME_MAP

      See Also:
        Constant Field Values

    - #### NON_BLOCKING_TRANSPORT

          public static final java.lang.String NON_BLOCKING_TRANSPORT

      See Also:
        Constant Field Values

    - #### SERIALIZED_BYTES

          public static final java.lang.String SERIALIZED_BYTES

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final java.lang.String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### SET_CHARACTER_ENCODING

          public static final java.lang.String SET_CHARACTER_ENCODING

      See Also:
        Constant Field Values

    - #### DEFAULT_CONTENT_TYPE

          public static final java.lang.String DEFAULT_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_MULTIPART_RELATED

          public static final java.lang.String CONTENT_TYPE_MULTIPART_RELATED

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_MULTIPART_FORM_DATA

          public static final java.lang.String CONTENT_TYPE_MULTIPART_FORM_DATA

      See Also:
        Constant Field Values

    - #### JSON_CONTENT_TYPE

          public static final java.lang.String JSON_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HIDDEN_SERVICE_PARAM_NAME

          public static final java.lang.String HIDDEN_SERVICE_PARAM_NAME

      See Also:
        Constant Field Values

    - #### SENDING_FAULT

          public static final java.lang.String SENDING_FAULT

      An Axis2 message context property indicating a transport send failure
      See Also:
        Constant Field Values

    - #### ERROR_CODE

          public static final java.lang.String ERROR_CODE

      The message context property name which holds the error code for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final java.lang.String ERROR_MESSAGE

      The MC property name which holds the error message for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_DETAIL

          public static final java.lang.String ERROR_DETAIL

      The message context property name which holds the error detail (stack trace) for the last encountered exception
      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION

          public static final java.lang.String ERROR_EXCEPTION

      The message context property name which holds the exception (if any) for the last encountered exception
      See Also:
        Constant Field Values

    - #### RAW_PAYLOAD

          public static final java.lang.String RAW_PAYLOAD

      An Axis2 message context property that hols the raw payload when an error occurs while building message
      See Also:
        Constant Field Values

    - #### REST_URL_POSTFIX

          public static final java.lang.String REST_URL_POSTFIX

      See Also:
        Constant Field Values

    - #### SERVICE_PREFIX

          public static final java.lang.String SERVICE_PREFIX

      See Also:
        Constant Field Values

    - #### NO_ENTITY_BODY

          public static final java.lang.String NO_ENTITY_BODY

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_TRANSPORT_WORKER_POOL

          protected static final java.lang.String PASS_THROUGH_TRANSPORT_WORKER_POOL

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_SOURCE_CONFIGURATION

          protected static final java.lang.String PASS_THROUGH_SOURCE_CONFIGURATION

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_SOURCE_CONNECTION

          protected static final java.lang.String PASS_THROUGH_SOURCE_CONNECTION

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_SOURCE_REQUEST

          protected static final java.lang.String PASS_THROUGH_SOURCE_REQUEST

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_TARGET_CONNECTION

          protected static final java.lang.String PASS_THROUGH_TARGET_CONNECTION

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_TARGET_RESPONSE

          protected static final java.lang.String PASS_THROUGH_TARGET_RESPONSE

      See Also:
        Constant Field Values

    - #### PASS_THROUGH_PIPE

          public static final java.lang.String PASS_THROUGH_PIPE

      See Also:
        Constant Field Values

    - #### REQUEST_CONTENT_TYPE

          public static final java.lang.String REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### REST_REQUEST_CONTENT_TYPE

          public static final java.lang.String REST_REQUEST_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### MESSAGE_BUILDER_INVOKED

          public static final java.lang.String MESSAGE_BUILDER_INVOKED

      See Also:
        Constant Field Values

    - #### INVOKED_REST

          public static final java.lang.String INVOKED_REST

      See Also:
        Constant Field Values

    - #### FORMATTER_PRESERVE

          public static final java.lang.String FORMATTER_PRESERVE

      See Also:
        Constant Field Values

    - #### CLONE_PASS_THROUGH_PIPE_REQUEST

          public static final java.lang.String CLONE_PASS_THROUGH_PIPE_REQUEST

      See Also:
        Constant Field Values

    - #### SECURITY_MODULE_NAME

          public static final java.lang.String SECURITY_MODULE_NAME

      Name of the .mar file
      See Also:
        Constant Field Values

    - #### REST_GET_DELETE_INVOKE

          public static final java.lang.String REST_GET_DELETE_INVOKE

      See Also:
        Constant Field Values

    - #### FORCE_POST_PUT_NOBODY

          public static final java.lang.String FORCE_POST_PUT_NOBODY

      See Also:
        Constant Field Values

    - #### PASSTROUGH_MESSAGE_LENGTH

          public static final java.lang.String PASSTROUGH_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### CONF_LOCATION

          public static final java.lang.String CONF_LOCATION

      See Also:
        Constant Field Values

    - #### LOCATION

          public static final java.lang.String LOCATION

      See Also:
        Constant Field Values

    - #### BUFFERED_INPUT_STREAM

          public static final java.lang.String BUFFERED_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### REQ_ARRIVAL_TIME

          public static final java.lang.String REQ_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### REQ_DEPARTURE_TIME

          public static final java.lang.String REQ_DEPARTURE_TIME

      See Also:
        Constant Field Values

    - #### RES_ARRIVAL_TIME

          public static final java.lang.String RES_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### RES_HEADER_ARRIVAL_TIME

          public static final java.lang.String RES_HEADER_ARRIVAL_TIME

      See Also:
        Constant Field Values

    - #### RES_DEPARTURE_TIME

          public static final java.lang.String RES_DEPARTURE_TIME

      See Also:
        Constant Field Values

    - #### REQ_FROM_CLIENT_READ_START_TIME

          public static final java.lang.String REQ_FROM_CLIENT_READ_START_TIME

      See Also:
        Constant Field Values

    - #### REQ_FROM_CLIENT_READ_END_TIME

          public static final java.lang.String REQ_FROM_CLIENT_READ_END_TIME

      See Also:
        Constant Field Values

    - #### REQ_TO_BACKEND_WRITE_START_TIME

          public static final java.lang.String REQ_TO_BACKEND_WRITE_START_TIME

      See Also:
        Constant Field Values

    - #### REQ_TO_BACKEND_WRITE_END_TIME

          public static final java.lang.String REQ_TO_BACKEND_WRITE_END_TIME

      See Also:
        Constant Field Values

    - #### RES_FROM_BACKEND_READ_START_TIME

          public static final java.lang.String RES_FROM_BACKEND_READ_START_TIME

      See Also:
        Constant Field Values

    - #### RES_FROM_BACKEND_READ_END_TIME

          public static final java.lang.String RES_FROM_BACKEND_READ_END_TIME

      See Also:
        Constant Field Values

    - #### RES_TO_CLIENT_WRITE_START_TIME

          public static final java.lang.String RES_TO_CLIENT_WRITE_START_TIME

      See Also:
        Constant Field Values

    - #### RES_TO_CLIENT_WRITE_END_TIME

          public static final java.lang.String RES_TO_CLIENT_WRITE_END_TIME

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_INIT_TIME

          public static final java.lang.String SERVER_WORKER_INIT_TIME

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_START_TIME

          public static final java.lang.String SERVER_WORKER_START_TIME

      See Also:
        Constant Field Values

    - #### CLIENT_WORKER_INIT_TIME

          public static final java.lang.String CLIENT_WORKER_INIT_TIME

      See Also:
        Constant Field Values

    - #### CLIENT_WORKER_START_TIME

          public static final java.lang.String CLIENT_WORKER_START_TIME

      See Also:
        Constant Field Values

    - #### SYNAPSE_PASSTHROUGH_LATENCY_ADVANCE_VIEW

          public static final java.lang.String SYNAPSE_PASSTHROUGH_LATENCY_ADVANCE_VIEW

      See Also:
        Constant Field Values

    - #### SYNAPSE_PASSTHROUGH_S2SLATENCY_ADVANCE_VIEW

          public static final java.lang.String SYNAPSE_PASSTHROUGH_S2SLATENCY_ADVANCE_VIEW

      See Also:
        Constant Field Values

    - #### PASSTHROUGH_LATENCY_VIEW

          public static final java.lang.String PASSTHROUGH_LATENCY_VIEW

      See Also:
        Constant Field Values

    - #### PASSTHROUGH_S2SLATENCY_VIEW

          public static final java.lang.String PASSTHROUGH_S2SLATENCY_VIEW

      See Also:
        Constant Field Values

    - #### PASSTHOUGH_HTTP_SERVER_WORKER

          public static final java.lang.String PASSTHOUGH_HTTP_SERVER_WORKER

      See Also:
        Constant Field Values

    - #### MESSAGE_OUTPUT_FORMAT

          public static final java.lang.String MESSAGE_OUTPUT_FORMAT

      See Also:
        Constant Field Values

    - #### FORCE_SOAP_FAULT

          public static final java.lang.String FORCE_SOAP_FAULT

      See Also:
        Constant Field Values

    - #### FORCE_PASSTHROUGH_BUILDER

          public static final java.lang.String FORCE_PASSTHROUGH_BUILDER

      See Also:
        Constant Field Values

    - #### WSDL_GEN_HANDLED

          public static final java.lang.String WSDL_GEN_HANDLED

      See Also:
        Constant Field Values

    - #### COPY_CONTENT_LENGTH_FROM_INCOMING

          public static final java.lang.String COPY_CONTENT_LENGTH_FROM_INCOMING

      See Also:
        Constant Field Values

    - #### ORGINAL_CONTEN_LENGTH

          public static final java.lang.String ORGINAL_CONTEN_LENGTH

      See Also:
        Constant Field Values

    - #### WAIT_BUILDER_IN_STREAM_COMPLETE

          public static final java.lang.String WAIT_BUILDER_IN_STREAM_COMPLETE

      See Also:
        Constant Field Values

    - #### BUILDER_OUTPUT_STREAM

          public static final java.lang.String BUILDER_OUTPUT_STREAM

      See Also:
        Constant Field Values

    - #### TRACE_SOAP_MESSAGE

          public static final java.lang.String TRACE_SOAP_MESSAGE

      See Also:
        Constant Field Values

    - #### REQUEST_ACCEPTS_GZIP

          public static final java.lang.String REQUEST_ACCEPTS_GZIP

      See Also:
        Constant Field Values

    - #### HTTP_SC_DESC

          public static final java.lang.String HTTP_SC_DESC

      See Also:
        Constant Field Values

    - #### RELAY_EARLY_BUILD

          public static final java.lang.String RELAY_EARLY_BUILD

      See Also:
        Constant Field Values

    - #### HTTP_CONTENT_TYPE

          public static final java.lang.String HTTP_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HTTP_CONTENT_LENGTH

          public static final java.lang.String HTTP_CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### PROXY_PROFILE_TARGET_HOST

          public static final java.lang.String PROXY_PROFILE_TARGET_HOST

      See Also:
        Constant Field Values

    - #### PROXY_BASIC_REALM

          public static final java.lang.String PROXY_BASIC_REALM

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_HOST

          public static final java.lang.String HTTP_PROXY_HOST

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_PORT

          public static final java.lang.String HTTP_PROXY_PORT

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_USERNAME

          public static final java.lang.String HTTP_PROXY_USERNAME

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_PASSWORD

          public static final java.lang.String HTTP_PROXY_PASSWORD

      See Also:
        Constant Field Values

    - #### HTTP_NON_PROXY_HOST

          public static final java.lang.String HTTP_NON_PROXY_HOST

      See Also:
        Constant Field Values

    - #### HTTP_ETAG_ENABLED

          public static final java.lang.String HTTP_ETAG_ENABLED

      See Also:
        Constant Field Values

    - #### ENABLE_WS_ADDRESSING

          public static final java.lang.String ENABLE_WS_ADDRESSING

      See Also:
        Constant Field Values

    - #### SERVER_WORKER_THREAD_ID

          public static final java.lang.String SERVER_WORKER_THREAD_ID

      See Also:
        Constant Field Values

    - #### HTTP_HEAD

          public static final java.lang.String HTTP_HEAD

      See Also:
        Constant Field Values

    - #### HTTP_GET

          public static final java.lang.String HTTP_GET

      See Also:
        Constant Field Values

    - #### HTTP_POST

          public static final java.lang.String HTTP_POST

      See Also:
        Constant Field Values

    - #### HTTP_DELETE

          public static final java.lang.String HTTP_DELETE

      See Also:
        Constant Field Values

    - #### HTTP_PUT

          public static final java.lang.String HTTP_PUT

      See Also:
        Constant Field Values

    - #### HTTP_OPTIONS

          public static final java.lang.String HTTP_OPTIONS

      See Also:
        Constant Field Values

    - #### HTTP_CONNECT

          public static final java.lang.String HTTP_CONNECT

      See Also:
        Constant Field Values

    - #### HTTP_SOCKET_TIMEOUT

          public static final java.lang.String HTTP_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

    - #### ORIGINAL_HTTP_SC

          public static final java.lang.String ORIGINAL_HTTP_SC

      See Also:
        Constant Field Values

    - #### ORIGINAL_HTTP_REASON_PHRASE

          public static final java.lang.String ORIGINAL_HTTP_REASON_PHRASE

      See Also:
        Constant Field Values

    - #### INTERNAL_EXCEPTION_ORIGIN

          public static final java.lang.String INTERNAL_EXCEPTION_ORIGIN

      See Also:
        Constant Field Values

    - #### INTERNAL_ORIGIN_ERROR_HANDLER

          public static final java.lang.String INTERNAL_ORIGIN_ERROR_HANDLER

      See Also:
        Constant Field Values

    - #### INTERNAL_TRIGGER_TYPE

          public static final java.lang.String INTERNAL_TRIGGER_TYPE

      See Also:
        Constant Field Values

    - #### INTERNAL_TRIGGER_NAME

          public static final java.lang.String INTERNAL_TRIGGER_NAME

      See Also:
        Constant Field Values

    - #### MESSAGE_SIZE_VALIDATION_SUM

          public static final java.lang.String MESSAGE_SIZE_VALIDATION_SUM

      See Also:
        Constant Field Values

    - #### SOURCE_CONNECTION_DROPPED

          public static final java.lang.String SOURCE_CONNECTION_DROPPED

      See Also:
        Constant Field Values

    - #### APPLICATION_OCTET_STREAM

          public static final java.lang.String APPLICATION_OCTET_STREAM

      See Also:
        Constant Field Values

    - #### SYSTEMPROP_PORT_CLOSE_VERIFY_TIMEOUT

          public static final java.lang.String SYSTEMPROP_PORT_CLOSE_VERIFY_TIMEOUT

      See Also:
        Constant Field Values

    - #### FORCE_XML_MESSAGE_VALIDATION

          public static final java.lang.String FORCE_XML_MESSAGE_VALIDATION

      See Also:
        Constant Field Values

    - #### FORCE_JSON_MESSAGE_VALIDATION

          public static final java.lang.String FORCE_JSON_MESSAGE_VALIDATION

      See Also:
        Constant Field Values

    - #### CORRELATION_LOG_STATE_PROPERTY

          public static final java.lang.String CORRELATION_LOG_STATE_PROPERTY

      constants for correlation logging
      See Also:
        Constant Field Values

    - #### CORRELATION_ID

          public static final java.lang.String CORRELATION_ID

      See Also:
        Constant Field Values

    - #### CORRELATION_LOGS_SYS_PROPERTY

          public static final java.lang.String CORRELATION_LOGS_SYS_PROPERTY

      See Also:
        Constant Field Values

    - #### CORRELATION_MDC_PROPERTY

          public static final java.lang.String CORRELATION_MDC_PROPERTY

      See Also:
        Constant Field Values

    - #### CORRELATION_LOGGER

          public static final java.lang.String CORRELATION_LOGGER

      See Also:
        Constant Field Values

    - #### CORRELATION_DEFAULT_HEADER

          public static final java.lang.String CORRELATION_DEFAULT_HEADER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PassThroughConstants

          public PassThroughConstants()

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.